Subject: 6 inch black light

From: [email-masked] (Gary Chiasson)
Date: Thu, 7 Sep 1995 13:05:19 GMT

I need a 6 inch black light -> both TUBE and FIXTURE.  Not just the tube.
I have called numerous places but don't have what I want: Budget Lighting,
Spencer Gifts, Edmund Scientific.  I want to order in Canada or USA.
Help!

G.C.